import sys
sys.path.append("../../pypdevs/src/")

from DEVS import *
from traffic_system_model import Root
from python_runtime.statecharts_core import Event

if __name__ == "__main__":
	model = Root()
	from sccd import Controller
	controller = Controller(model)
	controller.start()
	reply_port = controller.addOutputListener("reply")
	def termination_condition(time):
		time = time[0]
		return time >= 5000
	params = [{"termination_condition": termination_condition}]
	controller.addInput(Event("simulate", "request", params))
	while True:
		message = reply_port.fetch(-1)
		print(message)
		if message.getName() == "terminate":
			break
	controller.stop()
